<template>
  <b-row id="login" cols="12" class="d-flex justify-content-center my-15">
    <b-col style="max-width: 45rem">
      <!-- Login/Logout -->
      <b-card>
        <LoginMain v-if="!isLoggingOut" />
        <LogoutMain v-else />
      </b-card>
    </b-col>
  </b-row>
</template>

<script lang="ts">
import LoginMain from "../components/LoginMain.vue";
import LogoutMain from "../components/LogoutMain.vue";

// import the store for current module
import useLoginStore from "../store";

export default defineComponent({
  components: {
    LoginMain,
    LogoutMain,
  },

  setup() {
    const loginStore = useLoginStore();
    return { loginStore };
  },

  computed: {
    isLoggingOut(): boolean | null {
      const query = this.$route.query["logout"];
      if (query) {
        return Boolean(JSON.parse(query as string));
      }
      return null;
    },
  },
});
</script>
